com.genesyslab.wfm7.API.service.schedule750

## Class SchAuditDay

- java.lang.Object
- - com.genesyslab.wfm7.API.service.schedule750.SchAuditDay

- All Implemented Interfaces:
    java.io.Serializable

      public class SchAuditDay
      extends java.lang.Object
      implements java.io.Serializable

  Identifies changes to Schedule Agent Day
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `gswAgentId` Agent ID
    `private int` | `gswUserId` The ID of the User responsible for this action
    `private long` | `newTimestamp` Timestamp for new/current schedule
    `private long` | `oldTimestamp` Timestamp of old/previous schedule
    `private int` | `wmAction` `ESchActionType`
    `private double` | `wmDate` Date

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchAuditDay()`
    `SchAuditDay(int gswAgentId, double wmDate, long newTimestamp, long oldTimestamp, int wmAction, int gswUserId)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getGswAgentId()` Gets the gswAgentId value for this SchAuditDay.
    `int` | `getGswUserId()` Gets the gswUserId value for this SchAuditDay.
    `long` | `getNewTimestamp()` Gets the newTimestamp value for this SchAuditDay.
    `long` | `getOldTimestamp()` Gets the oldTimestamp value for this SchAuditDay.
    `int` | `getWmAction()` Gets the wmAction value for this SchAuditDay.
    `double` | `getWmDate()` Gets the wmDate value for this SchAuditDay.
    `void` | `setGswAgentId(int gswAgentId)` Sets the gswAgentId value for this SchAuditDay.
    `void` | `setGswUserId(int gswUserId)` Sets the gswUserId value for this SchAuditDay.
    `void` | `setNewTimestamp(long newTimestamp)` Sets the newTimestamp value for this SchAuditDay.
    `void` | `setOldTimestamp(long oldTimestamp)` Sets the oldTimestamp value for this SchAuditDay.
    `void` | `setWmAction(int wmAction)` Sets the wmAction value for this SchAuditDay.
    `void` | `setWmDate(double wmDate)` Sets the wmDate value for this SchAuditDay.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### gswAgentId

          private int gswAgentId

      Agent ID

    - #### wmDate

          private double wmDate

      Date

    - #### newTimestamp

          private long newTimestamp

      Timestamp for new/current schedule

    - #### oldTimestamp

          private long oldTimestamp

      Timestamp of old/previous schedule

    - #### wmAction

          private int wmAction

      `ESchActionType`

    - #### gswUserId

          private int gswUserId

      The ID of the User responsible for this action

  - ### Constructor Detail

    - #### SchAuditDay

          public SchAuditDay()

    - #### SchAuditDay

          public SchAuditDay(int gswAgentId,
                     double wmDate,
                     long newTimestamp,
                     long oldTimestamp,
                     int wmAction,
                     int gswUserId)

  - ### Method Detail

    - #### getGswAgentId

          public int getGswAgentId()

      Gets the gswAgentId value for this SchAuditDay.
      Returns:
        gswAgentId

    - #### setGswAgentId

          public void setGswAgentId(int gswAgentId)

      Sets the gswAgentId value for this SchAuditDay.
      Parameters:
        `gswAgentId` -

    - #### getWmDate

          public double getWmDate()

      Gets the wmDate value for this SchAuditDay.
      Returns:
        wmDate

    - #### setWmDate

          public void setWmDate(double wmDate)

      Sets the wmDate value for this SchAuditDay.
      Parameters:
        `wmDate` -

    - #### getNewTimestamp

          public long getNewTimestamp()

      Gets the newTimestamp value for this SchAuditDay.
      Returns:
        newTimestamp

    - #### setNewTimestamp

          public void setNewTimestamp(long newTimestamp)

      Sets the newTimestamp value for this SchAuditDay.
      Parameters:
        `newTimestamp` -

    - #### getOldTimestamp

          public long getOldTimestamp()

      Gets the oldTimestamp value for this SchAuditDay.
      Returns:
        oldTimestamp

    - #### setOldTimestamp

          public void setOldTimestamp(long oldTimestamp)

      Sets the oldTimestamp value for this SchAuditDay.
      Parameters:
        `oldTimestamp` -

    - #### getWmAction

          public int getWmAction()

      Gets the wmAction value for this SchAuditDay.
      Returns:
        wmAction

    - #### setWmAction

          public void setWmAction(int wmAction)

      Sets the wmAction value for this SchAuditDay.
      Parameters:
        `wmAction` -

    - #### getGswUserId

          public int getGswUserId()

      Gets the gswUserId value for this SchAuditDay.
      Returns:
        gswUserId

    - #### setGswUserId

          public void setGswUserId(int gswUserId)

      Sets the gswUserId value for this SchAuditDay.
      Parameters:
        `gswUserId` -

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.